VMTKPARTICLETRACER(1)

NAME
vmtkparticletracer - vmtk script vmtkparticletracer

DESCRIPTION
Automatic piping vmtkparticletracer Parsing options vmtkparticletracer

vmtkparticletracer : Generate streamlines

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-s Source (vtkPolyData,1): source points

-sfile SourceInputFileName (str,1): filename for the default Source

    reader

-seedtime SeedTime (float,1) >= 0.0; default=0.0

-minspeed MinSpeed (float,1) >= 0.0; default=5.0: lower speed

    threshold

-subdivide Subdivide (bool,1); default=0: Subdivide input polydata

-maximumpropagation MaximumPropagation (int,1) >= 0;

    default=10000000000.0

-initialintegrationstep InitialIntegrationStep (float,1) >= 0.0;

    default=0.1

-minimumintegrationstep MinimumIntegrationStep (float,1) >= 0.0;

    default=0.01

-maximumintegrationstep MaximumIntegrationStep (float,1) >= 0.0;

    default=10.0

-maximumnumberofsteps MaximumNumberOfSteps (int,1) >= 0;

    default=10000000000.0

-velocityscale VelocityScale (float,1) >= 0.0; default=1.0

-integrationdirectionboth IntegrationDirectionBoth (bool,1);

    default=1

-vectorcomponents VectorComponents (bool,1); default=1

-periodic Periodic (bool,1); default=1

-vorticity Vorticity (bool,1); default=1

-component0prefix Component0Prefix (str,1); default=u_

-component1prefix Component1Prefix (str,1); default=v_

-component2prefix Component2Prefix (str,1); default=w_

-firststep FirstTimeStep (int,1) >= 0.0; default=None: first

    timestep

-laststep LastTimeStep (int,1) >= 0.0; default=None: last timestep

-interval IntervalTimeStep (int,1) >= 0.0; default=None: interval

    time step

-ofile TracesOutputFileName (str,1): filename for the default

    Traces writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Traces (vtkPolyData,1): the output traces